## manpages-zh 1.5

=== Makefile ===
NAME=man-pages-zh_CN
DESTDIR=/usr/share
CONFDIR=/etc
TRANSLATED=DOCS/00TRANSLATED

MAN=1 1p 8 2 3 3p 4 5 6 7 9 0p tcl n l p o 3pm 3perl
MAN=1 8 2 3 4 5 6 7 9 n l

u8:
	mkdir UTF-8
	cp -r src/man* UTF-8/
gb:
	for i in $(MAN) ; do \
		mkdir -p GB/man$$i ; \
	done
	for f in `cat $(TRANSLATED)` ; do \
		iconv -f utf8 -t gb18030 src/$$f > GB/$$f ; \
	done
	cp src/man.macros GB/
html-gb:
	mkdir html-gb
	for i in $(MAN) ; do \
		mkdir -p html-gb/man$$i ; \
	done
	export LC_ALL=zh_CN.GB18030 ;\
	for f in `cat $(TRANSLATED)` ; do \
		iconv -f utf8 -t gb18030 src/$$f | utils/man2html > html-gb/$$f.html ; \
	done
clean:
	rm -rf UTF-8 GB BIG5 html-u8 html-gb html-b5 
	find . -name *~ -type f | xargs rm -f
	@rm -f *-stamp
	@cd src && find man* -type f -path *.[1-9nlpo] -o -name *.tcl \
	-o -name *.1[ml] -o -name *.3t -o -name *.3pm -o -name *.3perl \
	-o -name *.3thr -o -name *.[357]ssl -o -name *.8c \
	-o -name *.3gl -o -name *.[13457]x -o -name *.[013]p \
	|sort > TRANSLATED && cd .. && mv src/TRANSLATED $(TRANSLATED)
install-doc:
	rm -rf $(DESTDIR)/doc/$(NAME)
	mkdir -p $(DESTDIR)/doc
	cp -R DOCS $(DESTDIR)/doc/$(NAME)
	cp README* $(DESTDIR)/doc/$(NAME)
	cp COPYING $(DESTDIR)/doc/$(NAME)
install-u8:
	rm -rf $(DESTDIR)/man/zh_CN.UTF-8
	mkdir -p $(DESTDIR)/man
	cp -R UTF-8 $(DESTDIR)/man/zh_CN.UTF-8
install-gb:
	rm -rf $(DESTDIR)/man/zh_CN.GB* /usr/share/man/zh_CN.GB*
	mkdir -p $(DESTDIR)/man
	cp -R GB $(DESTDIR)/man/zh_CN.GB18030
	ln -s /usr/share/man/zh_CN.GB18030 $(DESTDIR)/man/zh_CN.GB2312
	ln -s /usr/share/man/zh_CN.GB18030 $(DESTDIR)/man/zh_CN.GBK
	ln -s /usr/share/man/zh_CN.GB18030 $(DESTDIR)/man/zh_CN
	mkdir -p $(CONFDIR)/profile.d
	cp -f src/cman/cman.conf $(CONFDIR)/
	cp -pf src/cman/cman.sh $(CONFDIR)/profile.d/
	cp -pf src/cman/cman.csh $(CONFDIR)/profile.d/
uninstall:
	rm -rf $(DESTDIR)/doc/$(NAME)
	rm -rf $(DESTDIR)/man/zh_CN* /usr/share/man/zh_CN*
	rm -f $(CONFDIR)/cman.conf $(CONFDIR)/profile.d/cman.*

## manpages-zh 1.5.1

=== debian/changelog ===
manpages-zh (1.5.1-3) unstable; urgency=low

  * debian/watch: added. 
  * debian/control:
    - update maintainer's email.
    - bump standards version to 3.8.4.
    - remove DMUA.
    - build depends on debhelper (>= 7)
  * debian/compat: update to debhelper 7.
  * debian/source/format: 3.0. 

 -- LI Daobing <lidaobing@debian.org>  Wed, 14 Apr 2010 22:28:13 +0800

manpages-zh (1.5.1-2) unstable; urgency=low

  * debian/rules: remove mplayer.1 and mencoder.1, mplayer.1 is already
    provided by mplayer package and mencoder.1 is a soft link to mplayer.1.
    (Closes: #520459)
  * debian/control: bump standards version to 3.8.1, no changes needed. 
  * debian/control: fix debhelper-but-no-misc-depends.
  * debian/control: add DMUA field.
  * debian/control: add Vcs-* fields.

 -- LI Daobing <lidaobing@gmail.com>  Fri, 20 Mar 2009 22:34:12 +0800

manpages-zh (1.5.1-1) unstable; urgency=low

  * New upstream release.
  * New maintainer. (Closes: #465552)
    - debian/control: updated.
  * debian/rules: missing binary-arch and binary-indep targets in debian/rules
    (Policy 4.9) (Closes: #395805)
  * debian/control: don't build depends on sysutils (Closes: #382168)
  * debian/rules: Please stop providing man pages belonging to the passwd and
    login packages (Closes: #330577)
  * debian/control: bump standards version to 3.7.3.
  * debian/copyright:
    - copyright-should-refer-to-common-license-file-for-gfdl.
    - add new copyright holder.
  * debian/control: new homepage, move homepage from description to a field.
  * debian/control: build-depends-on-1-revision, build depends on
    zh-autoconvert (>= 0.3.13) instead of 0.3.13-1.
  * debian/control: build depends on cdbs.
  * debian/rules: use cdbs.
  * debian/docs: remove unaviable files.
  * remove unneed files: debian/03*, debian/README.Debian.

 -- LI Daobing <lidaobing@gmail.com>  Fri, 04 Apr 2008 16:27:56 +0800

manpages-zh (1.5-1) unstable; urgency=high

  * New upstream release
  * Maintainer changed.
  * Bump Standards-Version to 3.6.1
  * Rename src pkg to manpages-zh, fix the name conflict RC bug
    (Closes: #267236)
  * Move man5/environ.5 to man7/environ.7 (Closes: #140771)
  * Readd zh_TW translation
  * Move lapack, Tcl and Tk manpages from mann to man3.
  * Change the copyright content according the newest upstream release.
  * Little changes to the package description.

 -- Carlos Z.F. Liu <carlosliu@users.sourceforge.net>  Sat,  2 Apr 2005 16:18:15 +1200

cman (1.4-7) unstable; urgency=low

  * Added some more translations and small bug fixes.

 -- bbbush <bbbush@163.com>  Thu,  04 Mar 2004 12:30:00 +0800

cman (1.4-6) unstable; urgency=low

  * Added original documents in raw directory

 -- bbbush <bbbush@163.com>  Sat,  20 Dec 2003 12:30:00 +0800

cman (1.4-5) unstable; urgency=low

  * Default file encoding is UTF-8
  * zh_TW is removed, hope somebody to add it one day
  
 -- bbbush <bbbush@163.com>  Tue,  25 Nov 2003 15:17:08 +0800

cman (0.0.7-1) unstable; urgency=low

  * Initial Release.
  * Added zh_TW man pages converted from zh_CN using zh-autoconvert
    and my own conversion table.  :-)

 -- Anthony Fok <foka@debian.org>  Fri,  1 Jun 2001 15:17:08 -0600

=== debian/control ===
Source: manpages-zh
Section: doc
Priority: optional
Maintainer: LI Daobing <lidaobing@debian.org>
Build-Depends: debhelper (>= 7), cdbs, zh-autoconvert (>= 0.3.13), perl
Standards-Version: 3.8.4
Homepage: http://code.google.com/p/manpages-zh/
Vcs-Browser: http://git.debian.org/?p=collab-maint/manpages-zh.git
Vcs-Git: git://git.debian.org/git/collab-maint/manpages-zh.git

Package: manpages-zh
Architecture: all
Replaces: zh-trans
Provides: zh-trans
Suggests: man-browser
Conflicts: zh-trans
Depends: ${misc:Depends}
Description: Chinese manual pages
 This package contains the Chinese manual pages translated by
 the Chinese Man Pages Project (CMPP).  Both zh_CN and zh_TW
 (Simplified and Traditional Chinese) versions are provided.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk

binary-post-install/manpages-zh::
	for l in zh_CN zh_TW; do \
		for n in man5/passwd.5 man8/usermod.8 man8/groupdel.8 man8/userdel.8 man8/useradd.8 \
			man8/chpasswd.8 man8/groupmod.8 man8/groupadd.8 man1/su.1 man1/chsh.1 \
			man1/newgrp.1 man1/chfn.1 man1/mplayer.1 man1/mencoder.1; do \
			rm debian/manpages-zh/usr/share/man/$$l/$$n; \
		done; \
	done

=== debian/watch ===
version=3
http://code.google.com/p/manpages-zh/downloads/list \
http://manpages-zh.googlecode.com/files/manpages-zh-(.*)\.tar\.gz

## manpages-zh 1.5.2

=== debian/changelog ===
manpages-zh (1.5.2-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Remove apropos(1), man(1), whatis(1), man.conf(5), and man.config(5);
    these are extremely outdated, contain incorrect information, and
    conflict with man-db 2.6.4 (closes: #713925).

 -- Colin Watson <cjwatson@debian.org>  Mon, 24 Jun 2013 10:15:59 +0100

manpages-zh (1.5.2-1) unstable; urgency=low

  * new upstream release (Closes: #633303).
  * debian/watch: updated.
  * debain/control:
    - update maintainer, add me to uploader
    - bump standards version to 3.9.2.
    - update homepage
    - update Vcs-* fields.
  * debian/rules: updated.

 -- LI Daobing <lidaobing@debian.org>  Sat, 09 Jul 2011 23:44:16 +0800

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,14 @@
 Source: manpages-zh
 Section: doc
 Priority: optional
-Maintainer: LI Daobing <lidaobing@debian.org>
+Maintainer: Debian Chinese Team <chinese-developers@lists.alioth.debian.org>
+Uploaders:
+ LI Daobing <lidaobing@debian.org>
 Build-Depends: debhelper (>= 7), cdbs, zh-autoconvert (>= 0.3.13), perl
-Standards-Version: 3.8.4
-Homepage: http://code.google.com/p/manpages-zh/
-Vcs-Browser: http://git.debian.org/?p=collab-maint/manpages-zh.git
-Vcs-Git: git://git.debian.org/git/collab-maint/manpages-zh.git
+Standards-Version: 3.9.2
+Homepage: https://github.com/lidaobing/manpages-zh
+Vcs-Browser: http://git.debian.org/?p=chinese/manpages-zh.git
+Vcs-Git: git://git.debian.org/git/chinese/manpages-zh.git
 
 Package: manpages-zh
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,8 @@
 	for l in zh_CN zh_TW; do \
 		for n in man5/passwd.5 man8/usermod.8 man8/groupdel.8 man8/userdel.8 man8/useradd.8 \
 			man8/chpasswd.8 man8/groupmod.8 man8/groupadd.8 man1/su.1 man1/chsh.1 \
-			man1/newgrp.1 man1/chfn.1 man1/mplayer.1 man1/mencoder.1; do \
+			man1/newgrp.1 man1/chfn.1 \
+			man1/apropos.1 man1/man.1 man1/whatis.1 man5/man.conf.5 man5/man.config.5; do \
 			rm debian/manpages-zh/usr/share/man/$$l/$$n; \
 		done; \
 	done

=== debian/watch ===
version=3
https://github.com/lidaobing/manpages-zh/archives/master \
/downloads/lidaobing/manpages-zh/manpages-zh-(.*)\.tar\.bz2

## manpages-zh 1.5.4.1

=== debian/changelog ===
manpages-zh (1.5.4.1-1) unstable; urgency=medium

  * Team upload.
  * ACK previous NMU. Thank you Colin!
  * Remove LI Daobing from uploaders list. (Closes: #841805)
    Thank you for all your contributions!
  * New upstream release.
    - Switch to new upstream.
    - Remove all conflict man pages.
    - Remove some nonexist command pages. (Closes: #723565)
    - Import some translations of coreutils.
    - Various fixes.
  * Apply "wrap-and-sort -abst".
  * d/rules: switch to dh buildsystem.
  * d/control:
    - Add myself into uploaders list.
    - Bump standards version to 3.9.8.
    - Use debhelper compat v10, drop dh-autoreconf dep.
    - Update Vcs-* fields.
  * d/watch: info update.
  * d/copyright: rewrite with machine-readable format.

 -- Boyuan Yang <073plan@gmail.com>  Wed, 14 Dec 2016 20:31:06 +0800

=== debian/control ===
Source: manpages-zh
Section: doc
Priority: optional
Maintainer: Debian Chinese Team <chinese-developers@lists.alioth.debian.org>
Uploaders:
 Boyuan Yang <073plan@gmail.com>,
Build-Depends:
 debhelper (>= 10),
 perl,
 zh-autoconvert (>= 0.3.13),
Standards-Version: 3.9.8
Homepage: https://github.com/man-pages-zh/manpages-zh
Vcs-Browser: https://anonscm.debian.org/git/chinese/manpages-zh.git
Vcs-Git: https://anonscm.debian.org/git/chinese/manpages-zh.git

Package: manpages-zh
Architecture: all
Replaces:
 zh-trans,
Provides:
 zh-trans,
Suggests:
 man-browser,
Conflicts:
 zh-trans,
Depends:
 ${misc:Depends},
Description: Chinese manual pages
 This package contains the Chinese manual pages translated by
 the Chinese Man Pages Project (CMPP).  Both zh_CN and zh_TW
 (Simplified and Traditional Chinese) versions are provided.

## manpages-zh 1.6.0

=== debian/changelog ===
manpages-zh (1.6.0-2) unstable; urgency=medium

  * Pick several upstream new man pages.
    - Move chroot(1) to chroot(8). (Closes: #856010)
    - Update pages for coreutils. (Closes: #856011)

 -- Boyuan Yang <073plan@gmail.com>  Fri, 24 Feb 2017 17:28:00 +0800

manpages-zh (1.6.0-1) unstable; urgency=medium

  * New upstream release.
    - Import more translations for coreutils.
    - Various updates.
  * d/docs: refresh file list.
  * d/control: update build dependencies.

 -- Boyuan Yang <073plan@gmail.com>  Tue, 03 Jan 2017 20:30:05 +0800

=== debian/control ===
--- 
+++ 
@@ -6,8 +6,8 @@
  Boyuan Yang <073plan@gmail.com>,
 Build-Depends:
  debhelper (>= 10),
- perl,
- zh-autoconvert (>= 0.3.13),
+ python3,
+ opencc (>= 1.0.0~),
 Standards-Version: 3.9.8
 Homepage: https://github.com/man-pages-zh/manpages-zh
 Vcs-Browser: https://anonscm.debian.org/git/chinese/manpages-zh.git

## manpages-zh 1.6.3

=== debian/changelog ===
manpages-zh (1.6.3-1) unstable; urgency=medium

  * Upload onto unstable.
  * Mark manpages-zh package Multi-Arch: foreign.

 -- Boyuan Yang <073plan@gmail.com>  Wed, 05 Apr 2017 15:30:18 +0800

manpages-zh (1.6.3-1~exp1) experimental; urgency=medium

  * New upstream release.
    + Add some translations for systemd man pages.

 -- Boyuan Yang <073plan@gmail.com>  Wed, 05 Apr 2017 14:48:09 +0800

manpages-zh (1.6.2.1-1~exp1) experimental; urgency=medium

  * New upstream release.

 -- Boyuan Yang <073plan@gmail.com>  Sat, 04 Mar 2017 19:20:19 +0800

=== debian/control ===
--- 
+++ 
@@ -15,6 +15,7 @@
 
 Package: manpages-zh
 Architecture: all
+Multi-Arch: foreign
 Replaces:
  zh-trans,
 Provides:

## manpages-zh 1.6.3.2

=== debian/changelog ===
manpages-zh (1.6.3.2-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.1.1.
  * d/control: Remove reference to zh-trans package, long disappeared.

 -- Boyuan Yang <073plan@gmail.com>  Thu, 19 Oct 2017 17:25:22 +0800

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
  debhelper (>= 10),
  python3,
  opencc (>= 1.0.0~),
-Standards-Version: 3.9.8
+Standards-Version: 4.1.1
 Homepage: https://github.com/man-pages-zh/manpages-zh
 Vcs-Browser: https://anonscm.debian.org/git/chinese/manpages-zh.git
 Vcs-Git: https://anonscm.debian.org/git/chinese/manpages-zh.git
@@ -16,14 +16,8 @@
 Package: manpages-zh
 Architecture: all
 Multi-Arch: foreign
-Replaces:
- zh-trans,
-Provides:
- zh-trans,
 Suggests:
  man-browser,
-Conflicts:
- zh-trans,
 Depends:
  ${misc:Depends},
 Description: Chinese manual pages

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1

# see EXAMPLES in dpkg-buildflags(1) and read /usr/share/dpkg/*

# main packaging script based on dh7 syntax
%:
	dh $@

## manpages-zh 1.6.3.3

=== debian/changelog ===
manpages-zh (1.6.3.3-2) unstable; urgency=medium

  * Rebuild after Debian Buster.
  * debian/control:
    + Bump Standards-Version to 4.4.0.
    + Bump debhelper compat to v12.

 -- Boyuan Yang <byang@debian.org>  Tue, 10 Sep 2019 11:33:02 -0400

manpages-zh (1.6.3.3-1) unstable; urgency=medium

  * New upstream release.
  * d/control: Switch to Salsa repo for Vcs fields.
  * d/rules: Fix lintian warning about insecure uri.
  * d/rules: Use "dh_missing --fail-missing".
  * d/control: Bump debhelper compat to v11.
  * d/control: Bump Standards-Version to 4.1.4 (no changes needed).

 -- Boyuan Yang <073plan@gmail.com>  Sat, 28 Apr 2018 18:54:36 +0800

=== debian/control ===
--- 
+++ 
@@ -3,15 +3,15 @@
 Priority: optional
 Maintainer: Debian Chinese Team <chinese-developers@lists.alioth.debian.org>
 Uploaders:
- Boyuan Yang <073plan@gmail.com>,
+ Boyuan Yang <byang@debian.org>,
 Build-Depends:
- debhelper (>= 10),
+ debhelper-compat (= 12),
  python3,
  opencc (>= 1.0.0~),
-Standards-Version: 4.1.1
+Standards-Version: 4.4.0
 Homepage: https://github.com/man-pages-zh/manpages-zh
-Vcs-Browser: https://anonscm.debian.org/git/chinese/manpages-zh.git
-Vcs-Git: https://anonscm.debian.org/git/chinese/manpages-zh.git
+Vcs-Browser: https://salsa.debian.org/chinese-team/manpages-zh
+Vcs-Git: https://salsa.debian.org/chinese-team/manpages-zh.git
 
 Package: manpages-zh
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -9,3 +9,6 @@
 # main packaging script based on dh7 syntax
 %:
 	dh $@
+
+override_dh_missing:
+	dh_missing --fail-missing

=== debian/watch ===
version=4
opts="dversionmangle=s/(\+\d*)?\+ds\d*$//,repack,compression=xz" https://github.com/man-pages-zh/manpages-zh/tags /.*v(.+)@ARCHIVE_EXT@ debian uupdate

## manpages-zh 1.6.3.4

=== debian/changelog ===
manpages-zh (1.6.3.4-1) unstable; urgency=medium

  * New upstream release 1.6.3.4.
  * debian/control:
    + Bump debhelper copmat to v13.
    + Bump Standards-Version to 4.5.0.

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Boyuan Yang <byang@debian.org>  Sat, 09 May 2020 13:55:51 -0400

=== debian/control ===
--- 
+++ 
@@ -5,10 +5,10 @@
 Uploaders:
  Boyuan Yang <byang@debian.org>,
 Build-Depends:
- debhelper-compat (= 12),
- python3,
+ debhelper-compat (= 13),
+ python3:any,
  opencc (>= 1.0.0~),
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
 Homepage: https://github.com/man-pages-zh/manpages-zh
 Vcs-Browser: https://salsa.debian.org/chinese-team/manpages-zh
 Vcs-Git: https://salsa.debian.org/chinese-team/manpages-zh.git

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1


%:
	dh $@

execute_after_dh_auto_install:
	# Use debian's copyright file copy
	rm -f $(CURDIR)/*/usr/share/doc/manpages-zh/COPYRIGHT

=== debian/watch ===
version=4
opts="" https://github.com/man-pages-zh/manpages-zh/tags /.*v(.+)@ARCHIVE_EXT@ debian uupdate

## manpages-zh 1.6.3.5

=== debian/changelog ===
manpages-zh (1.6.3.5-1) unstable; urgency=medium

  * New upstream release 1.6.3.5.
  * debian/copyright: Refresh copyright information.

 -- Boyuan Yang <byang@debian.org>  Wed, 28 Jul 2021 17:18:48 -0400

## manpages-zh 1.6.3.6

=== debian/changelog ===
manpages-zh (1.6.3.6-1) unstable; urgency=medium

  * New upstream release 1.6.3.6.
  * debian/control: Use "Rules-Requires-Root: no".

 -- Boyuan Yang <byang@debian.org>  Thu, 30 Sep 2021 23:08:20 -0400

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,8 @@
  debhelper-compat (= 13),
  python3:any,
  opencc (>= 1.0.0~),
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
+Rules-Requires-Root: no
 Homepage: https://github.com/man-pages-zh/manpages-zh
 Vcs-Browser: https://salsa.debian.org/chinese-team/manpages-zh
 Vcs-Git: https://salsa.debian.org/chinese-team/manpages-zh.git

=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,3 @@
 
 %:
 	dh $@
-
-execute_after_dh_auto_install:
-	# Use debian's copyright file copy
-	rm -f $(CURDIR)/*/usr/share/doc/manpages-zh/COPYRIGHT

## manpages-zh 1.6.4.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.12)

# SPDX-FileCopyrightText: 2022 Boyuan Yang <073plan@gmail.com>
# SPDX-License-Identifier: CC0-1.0 OR BSD-2-Clause

include(GNUInstallDirs)
project(manpages-zh VERSION 1.6.4.0 HOMEPAGE_URL "https://github.com/man-pages-zh/manpages-zh")

option(ENABLE_APPEND_COLOPHON "Append translation information to output man pages" ON)
option(ENABLE_ZHCN "Enable installing zh_CN man pages" ON)
option(ENABLE_ZHTW "Enable installing zh_TW man pages" ON)

set(EXCLUDED_MANPAGES "" CACHE STRING "Man pages that are not installed")

list(LENGTH EXCLUDED_MANPAGES EXCLUDED_MANPAGES_SIZE)
if (EXCLUDED_MANPAGES_SIZE GREATER 0)
    message(STATUS "Will exclude ${EXCLUDED_MANPAGES_SIZE} man pages:")
    foreach (EXCLUDED_MANPAGE EXCLUDED_MANPAGES)
        message(STATUS " * ${EXCLUDED_MANPAGE}")
    endforeach ()
    set(FILTER_EXCLUDED_MANPAGES 1)
else ()
    set(FILTER_EXCLUDED_MANPAGES 0)
endif ()

if (ENABLE_APPEND_COLOPHON)
    find_package(Python3 REQUIRED COMPONENTS Interpreter)
endif (ENABLE_APPEND_COLOPHON)

find_program(opencc opencc HINTS "/usr/bin/")
if (opencc_NOTFOUND)
    message(FATAL_ERROR "OpenCC not detected on your system")
endif ()


## Actual handling of man pages
set(builtstamp "${CMAKE_BINARY_DIR}/.builtstamp")
add_custom_target(man ALL DEPENDS ${builtstamp})

set(MANDIR_LIST "man1" "man2" "man3" "man4" "man5" "man6" "man7" "man8" "mann")

foreach (MANDIR ${MANDIR_LIST})
    file(GLOB CURRENT_MAN_PAGES "src/${MANDIR}/*.*")
    foreach (CURRENT_MAN_PAGE ${CURRENT_MAN_PAGES})
        get_filename_component(MAN_PAGE_NAME ${CURRENT_MAN_PAGE} NAME)
        string(REGEX REPLACE "(.*)\\." "" MAN_PAGE_SECTION_RAW ${MAN_PAGE_NAME})
        string(SUBSTRING ${MAN_PAGE_SECTION_RAW} 0 1 MAN_PAGE_SECTION)
        if (${MAN_PAGE_NAME} STREQUAL "Makefile.am")
            continue()
        endif ()
        if (FILTER_EXCLUDED_MANPAGES)
            if (${MAN_PAGE_NAME} IN_LIST EXCLUDED_MANPAGES)
                message(WARNING "Skipping excluded man page ${MAN_PAGE_NAME}...")
                continue()
            endif ()
        endif (FILTER_EXCLUDED_MANPAGES)

        set(MAN_PAGE_ROOTDIR_ZHCN "${PROJECT_BINARY_DIR}/zh_CN")
        set(MAN_PAGE_ROOTDIR_ZHTW "${PROJECT_BINARY_DIR}/zh_TW")
        set(MAN_PAGE_PREPAREDIR_ZHCN "${MAN_PAGE_ROOTDIR_ZHCN}/man${MAN_PAGE_SECTION}/")
        set(MAN_PAGE_PREPAREDIR_ZHTW "${MAN_PAGE_ROOTDIR_ZHTW}/man${MAN_PAGE_SECTION}/")
        if (ENABLE_APPEND_COLOPHON)
            set(APPEND_COLOPHON_COMMAND "${CMAKE_SOURCE_DIR}/utils/append-colophon")
        else ()
            set(APPEND_COLOPHON_COMMAND "tee")
        endif ()
        set(PROCESS_OUTPUT_ZHCN ${MAN_PAGE_PREPAREDIR_ZHCN}/${MAN_PAGE_NAME})
        set(PROCESS_OUTPUT_ZHTW ${MAN_PAGE_PREPAREDIR_ZHTW}/${MAN_PAGE_NAME})
        # XXX: This is unbelievably hacky
        # https://stackoverflow.com/questions/8925396/why-does-cmake-prefixes-spaces-with-backslashes-when-executing-a-command
        set(PROCESS_COMMAND_ZHCN
            "bash" "-c" "'cat;${CURRENT_MAN_PAGE}|${APPEND_COLOPHON_COMMAND}|opencc;-c;t2s.json;>;${PROCESS_OUTPUT_ZHCN}'")
        set(PROCESS_COMMAND_ZHTW
            "bash" "-c" "'cat;${CURRENT_MAN_PAGE}|${APPEND_COLOPHON_COMMAND}|opencc;-c;s2twp.json;>;${PROCESS_OUTPUT_ZHTW}'")

        if (ENABLE_ZHCN)
            add_custom_command(OUTPUT ${PROCESS_OUTPUT_ZHCN}
                COMMAND ${CMAKE_COMMAND} -E make_directory ${MAN_PAGE_PREPAREDIR_ZHCN}
                COMMAND ${PROCESS_COMMAND_ZHCN}
            )
            add_custom_target(man_zhcn_${MAN_PAGE_NAME}_build
                DEPENDS ${PROCESS_OUTPUT_ZHCN}
            )
            add_dependencies(man man_zhcn_${MAN_PAGE_NAME}_build)
        endif (ENABLE_ZHCN)
        if (ENABLE_ZHTW)
            add_custom_command(OUTPUT ${PROCESS_OUTPUT_ZHTW}
                COMMAND ${CMAKE_COMMAND} -E make_directory ${MAN_PAGE_PREPAREDIR_ZHTW}
                COMMAND ${PROCESS_COMMAND_ZHTW}
            )
            add_custom_target(man_zhtw_${MAN_PAGE_NAME}_build
                DEPENDS ${PROCESS_OUTPUT_ZHTW}
            )
            add_dependencies(man man_zhtw_${MAN_PAGE_NAME}_build)
        endif (ENABLE_ZHTW)

    endforeach ()
endforeach ()

# Build finish stamp
add_custom_command(OUTPUT ${builtstamp}
    COMMAND ${CMAKE_COMMAND} -E touch ${builtstamp})


if (ENABLE_ZHCN)
    install(FILES ${MAN_PAGE_ROOTDIR_ZHCN} DESTINATION "${CMAKE_INSTALL_MANDIR}/")
endif()
if (ENABLE_ZHTW)
    install(FILES ${MAN_PAGE_ROOTDIR_ZHTW} DESTINATION "${CMAKE_INSTALL_MANDIR}/")
endif()

=== debian/changelog ===
manpages-zh (1.6.4.0-1) unstable; urgency=medium

  * New upstream release.
  * Switch buildsystem to cmake.

 -- Boyuan Yang <byang@debian.org>  Fri, 09 Dec 2022 13:58:26 -0500

manpages-zh (1.6.3.7-1) unstable; urgency=high

  * New upstream release.
    + Update upstream coreutils version to 9.1.
  * debian/patches: Dropped, not needed with procps/2:4.0.2-2 upload.
    No conflict will happen now.

 -- Boyuan Yang <byang@debian.org>  Wed, 07 Dec 2022 13:45:14 -0500

manpages-zh (1.6.3.6-2) unstable; urgency=high

  * debian/patches/0001-Disable-free-1-installation.patch: Do not
    install free(1) due to file conflict with procps/4.0.2.

 -- Boyuan Yang <byang@debian.org>  Mon, 05 Dec 2022 11:44:23 -0500

=== debian/control ===
--- 
+++ 
@@ -5,10 +5,11 @@
 Uploaders:
  Boyuan Yang <byang@debian.org>,
 Build-Depends:
+ cmake,
  debhelper-compat (= 13),
  python3:any,
  opencc (>= 1.0.0~),
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Homepage: https://github.com/man-pages-zh/manpages-zh
 Vcs-Browser: https://salsa.debian.org/chinese-team/manpages-zh

=== debian/rules ===
--- 
+++ 
@@ -5,5 +5,7 @@
 #export DH_VERBOSE = 1
 
 
+override_dh_autoreconf:
+
 %:
-	dh $@
+	dh $@ --buildsystem=cmake

## manpages-zh 1.6.4.1

=== debian/changelog ===
manpages-zh (1.6.4.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/rules: Remove autotools-related hotfix.

 -- Boyuan Yang <byang@debian.org>  Fri, 20 Dec 2024 13:23:50 -0500

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
  debhelper-compat (= 13),
  python3:any,
  opencc (>= 1.0.0~),
-Standards-Version: 4.6.1
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://github.com/man-pages-zh/manpages-zh
 Vcs-Browser: https://salsa.debian.org/chinese-team/manpages-zh

## manpages-zh 1.6.4.2

=== debian/changelog ===
manpages-zh (1.6.4.2-1) unstable; urgency=medium

  * New upstream release. (Closes: #1055025)

 -- Boyuan Yang <byang@debian.org>  Thu, 30 Jan 2025 15:05:07 -0500

=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,5 @@
 #export DH_VERBOSE = 1
 
 
-override_dh_autoreconf:
-
 %:
 	dh $@ --buildsystem=cmake

## manpages-zh 1.6.4.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,18 +4,26 @@
 # SPDX-License-Identifier: CC0-1.0 OR BSD-2-Clause
 
 include(GNUInstallDirs)
-project(manpages-zh VERSION 1.6.4.0 HOMEPAGE_URL "https://github.com/man-pages-zh/manpages-zh")
+project(manpages-zh VERSION 1.6.4.1 HOMEPAGE_URL "https://github.com/man-pages-zh/manpages-zh")
 
 option(ENABLE_APPEND_COLOPHON "Append translation information to output man pages" ON)
 option(ENABLE_ZHCN "Enable installing zh_CN man pages" ON)
 option(ENABLE_ZHTW "Enable installing zh_TW man pages" ON)
+option(ENABLE_PROCPS_NG_MANPAGES "Enable installing procps-ng man pages" OFF)
 
 set(EXCLUDED_MANPAGES "" CACHE STRING "Man pages that are not installed")
+
+if (NOT ENABLE_PROCPS_NG_MANPAGES)
+    SET(PROCPS_NG_EXCLUDE "free.1;pgrep.1;pidof.1;pmap.1;ps.1;pwdx.1;slabtop.1;tload.1;sysctl.8;vmstat.8;uptime.1;w.1;watch.1;top.1;procps.3;procps_misc.3;procps_pids.3;sysctl.conf.5")
+    list(APPEND EXCLUDED_MANPAGES ${PROCPS_NG_EXCLUDE})
+endif()
+
+list(REMOVE_DUPLICATES EXCLUDED_MANPAGES)
 
 list(LENGTH EXCLUDED_MANPAGES EXCLUDED_MANPAGES_SIZE)
 if (EXCLUDED_MANPAGES_SIZE GREATER 0)
     message(STATUS "Will exclude ${EXCLUDED_MANPAGES_SIZE} man pages:")
-    foreach (EXCLUDED_MANPAGE EXCLUDED_MANPAGES)
+    foreach (EXCLUDED_MANPAGE ${EXCLUDED_MANPAGES})
         message(STATUS " * ${EXCLUDED_MANPAGE}")
     endforeach ()
     set(FILTER_EXCLUDED_MANPAGES 1)
@@ -28,7 +36,7 @@
 endif (ENABLE_APPEND_COLOPHON)
 
 find_program(opencc opencc HINTS "/usr/bin/")
-if (opencc_NOTFOUND)
+if (NOT opencc)
     message(FATAL_ERROR "OpenCC not detected on your system")
 endif ()

=== debian/changelog ===
manpages-zh (1.6.4.3-1) unstable; urgency=medium

  * Upload to unstable.

 -- Boyuan Yang <byang@debian.org>  Fri, 27 Jun 2025 18:10:19 -0400

manpages-zh (1.6.4.3-1~exp1) experimental; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Fri, 27 Jun 2025 13:46:54 -0400

=== debian/control ===
--- 
+++ 
@@ -14,6 +14,10 @@
 Homepage: https://github.com/man-pages-zh/manpages-zh
 Vcs-Browser: https://salsa.debian.org/chinese-team/manpages-zh
 Vcs-Git: https://salsa.debian.org/chinese-team/manpages-zh.git
+Description: Chinese manual pages
+ This package contains the Chinese manual pages translated by
+ the Chinese Man Pages Project (CMPP).  Both zh_CN and zh_TW
+ (Simplified and Traditional Chinese) versions are provided.
 
 Package: manpages-zh
 Architecture: all
@@ -22,7 +26,5 @@
  man-browser,
 Depends:
  ${misc:Depends},
-Description: Chinese manual pages
- This package contains the Chinese manual pages translated by
- the Chinese Man Pages Project (CMPP).  Both zh_CN and zh_TW
- (Simplified and Traditional Chinese) versions are provided.
+Description: ${source:Synopsis}
+ ${source:Extended-Description}
